name: sample-block-theme
recipe: wordpress
config:
  webroot: web
services:
  appserver:
    overrides:
      volumes:
        - ./:/app/web/wp-content/themes/sample-wp-block-theme
    build:
      - wp --path=/app/web/ core download
      - wp --path=/app/web/ config create --skip-check --force --dbuser=wordpress --dbname=wordpress --dbpass=wordpress --dbhost=database
      # - wp --path=/app/web/ core install --title="Dev Env" --admin_user=admin --admin_password=admin --admin_email=admin@example.com --skip-email --url=https://sample-block-theme.lndo.site/
      # - wp --path=/app/web/ theme activate sample-wp-block-theme
events:
  pre-rebuild:
    - rm -rf web/
